<?xml version="1.0" encoding="us-ascii"?>
<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<!--#echo var="DATE_LOCAL" -->	
<head>
    <title>LDAS Nightly Test Results</title>
    <meta name="generator" content="HTML Tidy for Solaris (vers 1st May 2003), see www.w3.org" />
    <link rel="StyleSheet" href="style.css" type="text/css" />
    <link rel="StyleSheet" href="results.css" type="text/css" />
    <style type="text/css">
    <!--
     -->
    </style>
</head>


<body>
    <h1>$::LDAS_SYSTEM $::LDAS_VERSION Nightly Test Results<br>$::STARTDATE  - $::ENDDATE<br /></h1>
    <h3 align="center"><i>Updated $::REPORTDATE</h3>
    <table cellspacing="0" cellpadding="5" border="5" summary="10">
	<caption><font size=+2><b>Software configuration</b></font></caption>
        <tr> <!-- Configuration -->
            <th>gcc</th>
            <th>tclsh</th>
            <th>globus</th>		
			<th>tclglobus</th>	
			<th>Others</th>	
        </tr>    
		<tr><!-- versions -->
            <!-- gcc--><td>4.1.1</td>
            <!-- tclsh --><td>$::TCL_VERSION</td>
            <!-- globus --><td>$::GLOBUS_VERSION<br>use<br>non-threaded</td>
            <!-- tclglobus--><td>$::TCLGLOBUS_VERSION</td>
			<!-- tclglobus--><td class="comment">&nbsp;DB2 $::DB2VERSION<br></td>
        </tr>
	</table><p>
	<table cellspacing="0" cellpadding="5" border="5" summary="10">
	<caption><font size=+2><b>Job Submission Parameters</b></font></caption>
        <tr> <!-- Configuration -->
            <th>socket type</th>
            <th>loop delay</th>
			<th>job retention</th>		
			<th>log retention</th>	
			<th>purge frequency</th>
			<th>dcmangle</th>
			<th>Other</th>
        </tr>    
		<tr><!-- versions -->
            <!-- socket type--><td>globus</td>
            <!-- loop delay --><td>$::LOOP_DELAY<br>dcmean and getmeta<br> at 17.5 sec</td>
            <!-- job retention --><td>$::JOB_PURGE_HOURS hours</td>
            <!-- log retention--><td>$::LOG_PURGE_DAYS days</td>
			<!-- purge frequency--><td>$::CLEANUP_HOURS hours</td>
			<!-- dcmangle--><td align='left'>started by crontab<br>every night<br>on opterondata-dev</td>
			<!-- Other--><td <div class="pre">&nbsp;dmt uses tcl 
sockets as this will
not result in out of 
sync and generate 
invalid key errors;
frame job time out 
set to 7200 secs.
</div></td>
        </tr>
	</table><p>
	<p>
	<table cellspacing="0" cellpadding="5" border="5" summary="10">
		<caption><f::LEASTSQFIT(manager)ont size=+2><b>Test Results</b></font></caption>
        <tr> <!-- test categories -->
            <th>Category</th>
            <th class="name">Result</th>	
        </tr> 
		<tr>
			<td colspan="2"><b>Job throughput</b></td>
		</tr> 
		<tr><!-- job statistics -->
            <!-- category --><td class="name"># Jobs</td>
            <!-- result --><td class='$::COLOR_JOBS'>$::JOBS_TOTAL jobs	$::JOBS_PASSED passed ( ${::PERCENT_PASSED}% )	$::JOBS_FAILED failed ( ${::PERCENT_FAILED}% ) 
            $::JOBS_REJECTED rejected ( ${::PERCENT_REJECTED}% )</td>
        </tr>
		<tr><!-- job rate -->
            <!-- category --><td class="name">Average # Jobs/hour</td>
            <!-- result --><td class='comments'>$::JOB_RATE</td>
        </tr>
		<tr><!-- queue statistics -->
            <!-- category --><td class="name">Queue</td>
            <!-- result --><td class='comments'>Most frequent: $::QUEUE_MODE, max $::QUEUE_MAX</td>
        </tr>
		<tr>
			<td colspan="2"><b>Memory Usage Least Square Fit, max cpu and max number of threads</b><font color='red'>&nbsp;</font></td>
		</tr>
		<tr><!-- managerAPI memory statistics -->
            <!-- category --><td class="name">managerAPI</td>
            <!-- result --><td class='$::COLOR_MEM(manager)'>$::LEASTSQFIT(manager) ($::APIJOBS(manager) jobs) max=$::MAXAPIMEM(manager) MB <br>cpu $::MAXCPU(manager) 
            most frequent #threads $::MODETHREAD(manager), $::MAXTHREAD(manager) max</td>
        </tr>
		<tr><!-- datacondAPI memory statistics -->
            <!-- category --><td class="name">datacondAPI</td>
            <!-- result --><td class='$::COLOR_MEM(datacond)'>$::LEASTSQFIT(datacond) ($::APIJOBS(datacond) jobs) max=$::MAXAPIMEM(datacond) MB <br>cpu $::MAXCPU(datacond)
            most frequent #threads $::MODETHREAD(datacond), $::MAXTHREAD(datacond) max</td>
        </tr>
		<tr><!-- diskcacheAPI memory statistics -->
            <!-- category --><td class="name">diskcacheAPI</td>
            <!-- result --><td class='$::COLOR_MEM(diskcache)'>$::LEASTSQFIT(diskcache) ($::APIJOBS(diskcache) jobs) max=$::MAXAPIMEM(diskcache) MB <br>cpu $::MAXCPU(diskcache) 
            most frequent #threads $::MODETHREAD(diskcache), $::MAXTHREAD(diskcache) max </td>
        </tr>
		<tr><!-- eventmonAPI memory statistics -->
            <!-- category --><td class="name">eventmonAPI</td>
            <!-- result --><td class='$::COLOR_MEM(eventmon)'>$::LEASTSQFIT(eventmon) ($::APIJOBS(eventmon) jobs) max=$::MAXAPIMEM(eventmon) MB <br>cpu $::MAXCPU(eventmon)
            most frequent #threads $::MODETHREAD(eventmon), $::MAXTHREAD(eventmon) max </td>
        </tr>
		<tr><!-- frameAPI memory statistics -->
            <!-- category --><td class="name">frameAPI</td>
            <!-- result --><td class='$::COLOR_MEM(frame)'>$::LEASTSQFIT(frame) ($::APIJOBS(frame) jobs) max=$::MAXAPIMEM(frame) MB <br>cpu $::MAXCPU(frame)
            most frequent #threads $::MODETHREAD(frame), $::MAXTHREAD(frame) max </td>
        </tr>
		<tr><!-- ligolwAPI memory statistics -->
            <!-- category --><td class="name">ligolwAPI</td>
            <!-- result --><td class='$::COLOR_MEM(ligolw)'>$::LEASTSQFIT(ligolw) ($::APIJOBS(ligolw) jobs) max=$::MAXAPIMEM(ligolw) MB <br>cpu $::MAXCPU(ligolw) 
            most frequent #threads $::MODETHREAD(ligolw), $::MAXTHREAD(ligolw) max </td>
        </tr>
		<tr><!-- metadataAPI memory statistics -->
            <!-- category --><td class="name">metadataAPI</td>
            <!-- result --><td class='$::COLOR_MEM(metadata)'>$::LEASTSQFIT(metadata) ($::APIJOBS(metadata) jobs) max=$::MAXAPIMEM(metadata) MB <br>cpu $::MAXCPU(metadata)
            most frequent #threads $::MODETHREAD(metadata), $::MAXTHREAD(metadata) max </td>
        </tr>
		<tr>
			<td colspan="2"><b>Memory Leaks at the tcl layer</b><font color='red'>&nbsp;</font></td>
		</tr>
		<tr><!-- managerAPI memory statistics -->
            <!-- category --><td class="name">managerAPI</td>
            <!-- result --><td class='pass'>$::LEAKS(manager)</td>
        </tr>
		<tr><!-- datacondAPI memory statistics -->
            <!-- category --><td class="name">datacondAPI</td>
            <!-- result --><td class='pass'>$::LEAKS(datacond)</td>
        </tr>
		<tr><!-- diskcacheAPI memory statistics -->
            <!-- category --><td class="name">diskcacheAPI</td>
            <!-- result --><td class='pass'>$::LEAKS(diskcache)</td>
        </tr>
		<tr><!-- eventmonAPI memory statistics -->
            <!-- category --><td class="name">eventmonAPI</td>
            <!-- result --><td class='pass'>$::LEAKS(eventmon)</td>
        </tr>
		<tr><!-- frameAPI memory statistics -->
            <!-- category --><td class="name">frameAPI</td>
            <!-- result --><td class='pass'>$::LEAKS(frame)</td>
        </tr>
		<tr><!-- ligolwAPI memory statistics -->
            <!-- category --><td class="name">ligolwAPI</td>
            <!-- result --><td class='pass'>$::LEAKS(ligolw)</td>
        </tr>
		<tr><!-- metadataAPI memory statistics -->
            <!-- category --><td class="name">metadataAPI</td>
            <!-- result --><td class='pass'>$::LEAKS(metadata)</td>
        </tr>
		<tr>
			<td align="left" colspan="2"><b>Log reports</b></td>
		</tr>
        <tr><!-- Log URL -->
            <!-- category --><td class="name">Log error categories<br>(except diskcache)</td>
            <!-- result --><td class="comments">
<div class="pre">$::LOG_TOTALS(non_diskcache)<br>$::NON_DISKCACHE_ERRS<br>$::LOGURL(non_diskcache)</tr>
        <tr><!-- Log URL -->
            <!-- category --><td class="name">Log error categories<br>(diskcache only)</td>
            <!-- result --><td class="comments">
<div class="pre">$::LOG_TOTALS(diskcache)<br>$::DISKCACHE_ERRS<br>$::LOGURL(diskcache)</tr>
		<tr><!-- Other observations  -->
            <!-- category --><td class="name">Other Observations</td>
            <!-- result --><td class="comments">
<div class="pre">&nbsp;<font color='brown'>&nbsp;</font></div></td>	
		<tr><!-- Job distribution  -->
            <!-- class 1 --><td class="name">Job distribution</td>
            <!-- job count--><td class="comments"><div class="pre">$::USAGE</div></td>
		</tr></td>
		<tr><!-- diskspace monitor  -->
            <!-- category --><td class="name">/ldas_outgoing disk usage</td>
            <!-- result --><td class="comments">
<div class="pre"><font size=-1>$::DISK_USAGE
</font></div></td>	
		<tr><!-- diskspace monitor  -->
            <!-- category --><td class="name">/scratch disk usage</td>
            <!-- result --><td class="comments">
<div class="pre"><font size=-1>$::SCRATCH_USAGE
</font></div></td>						
	</table>
<!--#echo var="DATE_LOCAL" -->	
</body>
</html>

